import _classCallCheck from "@babel/runtime/helpers/esm/classCallCheck";
import _createClass from "@babel/runtime/helpers/esm/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/esm/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/esm/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/esm/inherits";
import React, { Component } from 'react';
import { Provider } from 'react-redux';
import CartSummary from "./components/Pages/CartSummary/CartSummary";
import storeConfigs from "./redux/store/Store";

var GPCart =
/*#__PURE__*/
function (_Component) {
  _inherits(GPCart, _Component);

  function GPCart() {
    _classCallCheck(this, GPCart);

    return _possibleConstructorReturn(this, _getPrototypeOf(GPCart).apply(this, arguments));
  }

  _createClass(GPCart, [{
    key: "render",
    value: function render() {
      return React.createElement(Provider, {
        store: storeConfigs.store,
        id: "sfc-gp-cart",
        className: "App"
      }, React.createElement("div", {
        id: "sfc-gp-cart"
      }, React.createElement("div", {
        className: "main-content page-container"
      }, React.createElement(CartSummary, {
        userToken: this.props.userToken,
        orderId: this.props.orderId,
        env: this.props.env
      }))));
    }
  }]);

  return GPCart;
}(Component);

export { GPCart as default };