import _classCallCheck from "@babel/runtime/helpers/esm/classCallCheck";
import _createClass from "@babel/runtime/helpers/esm/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/esm/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/esm/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/esm/inherits";
import React, { Component } from 'react';
import CartContainer from "../../Widgets/Cart/CartContainer";
import CartSummaryContainer from "../../Widgets/CartSummary/CartSummaryContainer";
import Title from "../../Widgets/Title/Title";
import '../../../Styles/font-awesome/scss/font-awesome.scss';
import './CartSummary.scss';

var CartSummary =
/*#__PURE__*/
function (_Component) {
  _inherits(CartSummary, _Component);

  function CartSummary() {
    _classCallCheck(this, CartSummary);

    return _possibleConstructorReturn(this, _getPrototypeOf(CartSummary).apply(this, arguments));
  }

  _createClass(CartSummary, [{
    key: "render",
    value: function render() {
      return React.createElement(React.Fragment, null, React.createElement(Title, {
        title: "Shopping cart",
        backButton: true
      }), React.createElement("div", {
        className: "page-row"
      }, React.createElement(CartContainer, {
        userToken: this.props.userToken,
        orderId: this.props.orderId,
        env: this.props.env
      }), React.createElement(CartSummaryContainer, null)));
    }
  }]);

  return CartSummary;
}(Component);

export { CartSummary as default };