import axios from "axios";
import ENVIRONMENTS from "../const/ENVIRONMENT";
export function createCart(data) {
  var url = "".concat(ENVIRONMENTS.cartApi[data.env], "/v2/generateCartForOrder/").concat(data.orderId);
  var headers = {
    'X-Authorization': data.userToken,
    'Content-Type': 'application/json'
  };
  return axios.get(url, {
    headers: headers
  });
}
export function updateCart(data) {
  var url = "".concat(ENVIRONMENTS.cartApi[data.env], "/v2/carts/").concat(data.cartItems.id);
  var headers = {
    'X-Authorization': data.userToken,
    'Content-Type': 'application/json'
  };
  axios.put(url, data.cartItems, {
    headers: headers
  }).then(function (response) {
    console.log(response);
  }.bind(this)).catch(function (error) {
    console.log(error);
  });
}